#! /bin/bash

RSYNC="rsync --info=name,progress --stats -ztrh "
RSYNC_SIG="rsync -ztrh "
LOG_FILE="logs/odssync.log"
LOG_RSYNC="logs/rsync.log"
rsyncd_host="212.129.50.82"
rsyncd_module="LMCUP"
CURPATH=`pwd`

cd ../
RFACTOR_PATH=`pwd`
cd ../
INSTALL_PATH=`pwd`
cd "$CURPATH"
 
export RSYNC_PASSWORD="arnage"
export LOGNAME="syncuser"
 
$RSYNC --delete-during --log-file=$LOG_RSYNC "$RFACTOR_PATH/Gamedata/Vehicles/LMC/" rsync://$rsyncd_host:/$rsyncd_module/LMC/Gamedata/Vehicles/LMC
$RSYNC --delete-during --log-file=$LOG_RSYNC "$RFACTOR_PATH/Gamedata/Sounds/LMC/" rsync://$rsyncd_host:/$rsyncd_module/LMC/Gamedata/Sounds/LMC/
$RSYNC --delete-during --log-file=$LOG_RSYNC "$RFACTOR_PATH/Gamedata/Talent/LMC/" rsync://$rsyncd_host:/$rsyncd_module/LMC/Gamedata/Talent/LMC/
$RSYNC --delete-during --log-file=$LOG_RSYNC "$RFACTOR_PATH/rFm/LMC.rfm" rsync://$rsyncd_host:/$rsyncd_module/LMC/rFm/LMC.rfm
$RSYNC --delete-during --log-file=$LOG_RSYNC "$RFACTOR_PATH/rFm/LMC.tga" rsync://$rsyncd_host:/$rsyncd_module/LMC/rFm/LMC.tga
$RSYNC --delete-during --log-file=$LOG_RSYNC "$RFACTOR_PATH/rFm/LMC_logo.tga" rsync://$rsyncd_host:/$rsyncd_module/LMC/rFm/LMC_logo.tga
$RSYNC --delete-during --log-file=$LOG_RSYNC "$RFACTOR_PATH/UIData/LMC/" rsync://$rsyncd_host:/$rsyncd_module/LMC/UIData/LMC/
read touche
